package es.verdnatura.domain


import es.verdnatura.presentation.view.feature.ajustes.model.SectorItemVO
import es.verdnatura.presentation.view.feature.articulo.model.ItemCardVO
import retrofit2.Call
import retrofit2.http.Body
import retrofit2.http.Header
import retrofit2.http.POST

interface VerdnaturaService {

    //LOGIN ========================================================================>
    @POST("security/login")
    fun login(@Header("aplicacion") aplicacion: String,
              @Header("version") version: String,
              @Header("user") user: String,
              @Header("pass") pass: String,
              @Header("Content-Type") content_type: String,
              @Body params: List<String>):
            Call<String>

    @POST("almacenv2/version")
    fun version(@Header("aplicacion") aplicacion: String,
              @Header("version") version: String,
              @Header("user") user: String,
              @Header("pass") pass: String,
              @Header("Content-Type") content_type: String,
              @Body params: List<String>):
            Call<Boolean>


    //AJUSTES ========================================================================>
    @POST("almacenv2/sector_get")
    fun getSectors(@Header("aplicacion") aplicacion: String,
                @Header("version") version: String,
                @Header("user") user: String,
                @Header("pass") pass: String,
                @Header("Content-Type") content_type: String):
            Call<List<SectorItemVO>>


    //PASILLEROS ========================================================================>
    @POST("almacenv2/item_card")
    fun getItemCard(@Header("aplicacion") aplicacion: String,
                   @Header("version") version: String,
                   @Header("user") user: String,
                   @Header("pass") pass: String,
                   @Header("Content-Type") content_type: String,
                    @Body params: List<String>):
            Call<ItemCardVO>

}