package es.verdnatura.presentation.view.feature.articulo.fragment



import android.content.SharedPreferences
import android.util.Log
import android.view.View
import android.view.inputmethod.EditorInfo
import androidx.lifecycle.Observer
import es.verdnatura.R
import es.verdnatura.databinding.FragmentItemCardBinding
import es.verdnatura.presentation.base.BaseFragment
import es.verdnatura.presentation.view.component.CustomDialog
import es.verdnatura.presentation.view.feature.ajustes.fragment.AjustesFragment
import kotlinx.android.synthetic.main.activity_main.*
import kotlinx.android.synthetic.main.fragment_item_card.*

class ItemCardFragment : BaseFragment<FragmentItemCardBinding,ItemCardViewModel>(ItemCardViewModel::class) {

    companion object {
        fun newInstance() = ItemCardFragment()
    }
    private lateinit var customDialog: CustomDialog

    override fun getLayoutId(): Int = R.layout.fragment_item_card

    override fun init() {
        activity!!.main_bottom_navigation.visibility = View.GONE
        setEvents()
        customDialog = CustomDialog(requireContext())
        super.init()
    }

    private fun setEvents(){
        edit_itemFk.requestFocus()
        edit_itemFk.setOnEditorActionListener { v, actionId, event ->
            if (actionId == EditorInfo.IME_ACTION_SEARCH || actionId == EditorInfo.IME_ACTION_DONE || actionId == 0) {
                getItemCard(edit_itemFk.text.toString())
                return@setOnEditorActionListener true
            }
            false
        }
    }

    private fun getItemCard(itemFk:String){
        val prefs: SharedPreferences = activity!!.getSharedPreferences(PREFS_USER,0)
        val user = prefs.getString(USER,"")
        val password = prefs.getString(PASSWORD,"")
        val warehouseFk = prefs.getInt(WAREHOUSEFK,1).toString()
        splash_progress.visibility = View.VISIBLE
        viewModel.getItemCard(itemFk,warehouseFk,user!!,password!!)
    }

    override fun observeViewModel() {
        with(viewModel){
            itemcard.observe(viewLifecycleOwner, Observer {
                splash_progress.visibility = View.GONE
                if (it.isError){
                    customDialog.setTitle("Error").setDescription(it.errorMessage).setOkButton("Cerrar"){
                        customDialog.hide()
                    }.show()
                }else{
                    customDialog.setTitle("Perfecto!!!").setDescription("Tenemos datos para itemFk: "+it.id).setOkButton("Cerrar"){
                        customDialog.hide()
                    }.show()
                }
            })
        }
    }


}
